%
% anyremote configuration file for Noatun management. (Server-mode)
%
% playlist should be already created !
%

% STATUS nonstable
% TODO discover reason of Noatun hangup
% XTEST no
% SOUND app
% ENV no

GuiAppName=Noatun
GuiAppBinary=noatun
GuiAppRun=echo 'A=`dcop 2> /dev/null|grep noatun`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi'|bash -f -s
GuiAppIcon=noatun.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=The super-modular media player for KDE.
GuiAppVersion=echo 'V=`noatun -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x3" ]; then echo OK; else echo NOK; fi'|bash -f -s

[Protocol]=Server

(Init)=Include($(CfgDir)/Utils/aliases-server.cfg);\
	Exec(echo 'V=`amarok -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x4" ]; then $(CfgDir)/Utils/message.sh "ERROR: this configuration file is for KDE3"; fi'|bash -f -s);

(Connect)=Make(mode,noatun);

[Mode]=noatun

(EnterMode)=Exec(echo 'A=`dcop|grep noatun`; if [ "x$A" == "x" ]; then noatun; fi'|bash -f -s);\
	Set(layout,default);\
	Set(icons,Noatun,1,vol_down,2,mute,3,vol_up,4,rewind,5,play,6,forward,7,prev,8,stop,9,next,*,question,0,pause,#,no);\
	Macro(ALLIN1MENU);
Cancel=Exec(dcop noatun MainApplication-Interface quit);

Back=Set(text,close);Macro(ALLIN1MENU)

1=Exec(dcop noatun Noatun volumeDown)
2=Exec(dcop noatun Noatun toggleMute)
3=Exec(dcop noatun Noatun volumeUp)

4=Exec(echo 'P=`dcop noatun Noatun position`;N=`expr $P - 5000`;dcop noatun Noatun skipTo $N'|bash -f -s)
5=Exec(dcop noatun Noatun play);ExecAndSet(title,dcop noatun Noatun title)
6=Exec(echo 'P=`dcop noatun Noatun position`;N=`expr $P + 5000`;dcop noatun Noatun skipTo $N'|bash -f -s)

7=Exec(dcop noatun Noatun back);ExecAndSet(title,dcop noatun Noatun title)
8=Exec(dcop noatun Noatun stop)
9=Exec(dcop noatun Noatun forward);ExecAndSet(title,dcop noatun Noatun title)

* *=Set(text,replace,Help,1 Vol-\n2 Mute\n3 Vol+\n4 Rew\n5 Play\n6 FF\n7 Prew\n8 Stop\n9 Next\n** Help\n0 Pause\n# Exit\n*# Run/Quit)
* #=Exec(echo 'P=`dcop|grep noatun`; if [ "x$P" == "x" ]; then noatun& else dcop noatun MainApplication-Interface quit; fi;' |bash -f -s)
0=Exec(dcop noatun Noatun playpause)
#=Exec(dcop noatun MainApplication-Interface quit)

[ModeEnd]

[End]
